Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 154926 - Error message appears by attempt to insert default value
Error message appears by attempt to insert default value
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Show Data
6.x
All All
: P1 (vote)
: 6.x
Assigned To: _ ahimanikya
issues@db
:
Depends on: 156964
Blocks: 149635
  Show dependency treegraph
 
Reported: 2008-12-08 12:42 UTC by Roman Mostyka
Modified: 2009-04-08 13:55 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Screenshot of error message by attempt to insert default value. (27.22 KB, image/jpeg)
2008-12-08 12:45 UTC, Roman Mostyka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-12-08 12:42:09 UTC
1. Connect to some DB and expand it's node.
2. Rightclick "Tables" node and choose "Create Table...".
3. Set table name, column name, set VARCHAR for the column type, set "test" as default value and click "OK".
4. Rightclick created table and choose "View Data...".
5. Press "Insert Record" button, press Ctrl + 1 and click "OK".

Result: Error message appears.
Comment 1 Roman Mostyka 2008-12-08 12:43:37 UTC
Increase priority since this error breaks functionality of whole "Insert Record" dialog.
Comment 2 Roman Mostyka 2008-12-08 12:45:43 UTC
Created attachment 74690 [details]
Screenshot of error message by attempt to insert default value.
Comment 3 _ ahimanikya 2008-12-08 18:09:40 UTC
http://hg.netbeans.org/main/rev/e02f32f93cdc
Comment 4 Roman Mostyka 2008-12-09 09:58:56 UTC
Verified with build 081208.
Comment 5 Quality Engineering 2008-12-09 18:35:25 UTC
Integrated into 'main-golden', will be available in build *200812091520* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/a3abd4f1087c
User: ahimanikya@netbeans.org
Log: Issue #154926 Error message appears by attempt to insert default value
Comment 6 pgebauer 2008-12-16 13:17:20 UTC
The fix has been ported into the release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/f9c57e662c9c

Comment 7 Roman Mostyka 2009-01-19 11:55:00 UTC
This issue depends on the issue #156964, but issue #156964 is new and can't be fixed according Patch 2 schedule.
So I think that we need to rollback the fix for this issue and move it to a next patch, since we can't verify that the
fix was correctly ported because of the issue #156964.
In Patch 3 we should have fixes for both of these issues.
Comment 8 pgebauer 2009-01-19 13:04:40 UTC
The fix has been rolled back from the release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/f89b22f22dd4
Comment 9 pgebauer 2009-04-08 13:55:35 UTC
The status whiteboard "65fixes4-candidate" has been removed.
At this time our proactive patches for the NetBeans 6.5.x IDE have concluded.

If you own a Sun service plan contract for NetBeans, you may wish to contact
Sun Service http://www.sun.com/contact/support.jsp to request a fix via the
product defect escalation process.

For more information on purchasing a Sun service plan contract for NetBeans,
refer to the service plan item "Sun Software Service Plans (S3P) for Developers"
in the Sun Service table found on our NetBeans Support Resources
page http://www.netbeans.org/kb/support.html


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo